POST api/medistreamprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "05b371cd-4e7a-4722-ad0c-fead15060889",
"program_id": "0c66bda0-caca-47e6-badc-95c16a6bf231",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "629a08ea-1e90-4dd9-b98a-21600a211a3c",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>05b371cd-4e7a-4722-ad0c-fead15060889</id> <medistream_program_step_type_id>629a08ea-1e90-4dd9-b98a-21600a211a3c</medistream_program_step_type_id> <name>sample string 4</name> <program_id>0c66bda0-caca-47e6-badc-95c16a6bf231</program_id> </medistream_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"8ba1319c-9feb-43af-b45d-9d394356b6f4"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8ba1319c-9feb-43af-b45d-9d394356b6f4</guid>